cascading.flow.stream.graph

## Class NodeStreamGraph

- java.lang.Object
- - cascading.flow.stream.graph.StreamGraph
  - - cascading.flow.stream.graph.NodeStreamGraph

-     public abstract class NodeStreamGraph
      extends StreamGraph

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ElementGraph` | `elementGraph`
    `protected FlowProcess` | `flowProcess`
    `protected FlowNode` | `node`
    `protected FlowElement` | `streamedSource`

    - ### Fields inherited from class cascading.flow.stream.graph.StreamGraph

      `DOT_FILE_PATH, ERROR_DOT_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeStreamGraph(FlowProcess flowProcess, FlowNode node)`
    `NodeStreamGraph(FlowProcess flowProcess, FlowNode node, FlowElement streamedSource)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MemoryCoGroupGate` | `createBlockingJoinGate(HashJoin join)`
    `protected Duct` | `createBoundaryStage(Boundary element, IORole role)`
    `protected abstract Gate` | `createCoGroupGate(CoGroup element, IORole role)`
    `protected abstract Gate` | `createGroupByGate(GroupBy element, IORole role)`
    `protected Gate` | `createHashJoinGate(HashJoin join)`
    `protected Duct` | `createMergeStage(Merge merge, IORole both)`
    `protected GroupingSpliceGate` | `createNonBlockingJoinGate(HashJoin join)`
    `protected SinkStage` | `createSinkStage(Tap element)`
    `protected Duct` | `findExisting(Duct current)`
    `protected java.lang.Object` | `getProperty(java.lang.String name)`
    `protected void` | `handleDuct(FlowElement lhsElement, Duct lhsDuct)`
    `protected void` | `setScopes()`
    `protected void` | `setTraps()`

    - ### Methods inherited from class cascading.flow.stream.graph.StreamGraph

      `addHead, addPath, addPath, addTail, bind, cleanup, createCloseWindow, createFork, createNextFor, createOpenReducingWindow, createOpenWindow, findAllNextFor, findAllPreviousFor, getAllDucts, getHeads, getReversedGraph, getReversedTopologicalOrderIterator, getTails, getTopologicalOrderIterator, ordinalBetween, prepare, printBoundGraph, printBoundGraph, printGraph, printGraph, printGraphError, wrapWithOrdinal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### flowProcess

          protected FlowProcess flowProcess

    - #### node

          protected final FlowNode node

    - #### streamedSource

          protected FlowElement streamedSource

    - #### elementGraph

          protected final ElementGraph elementGraph

  - ### Constructor Detail

    - #### NodeStreamGraph

          public NodeStreamGraph(FlowProcess flowProcess,
                         FlowNode node)

    - #### NodeStreamGraph

          public NodeStreamGraph(FlowProcess flowProcess,
                         FlowNode node,
                         FlowElement streamedSource)

  - ### Method Detail

    - #### getProperty

          protected java.lang.Object getProperty(java.lang.String name)

      Overrides:
        `getProperty` in class `StreamGraph`

    - #### handleDuct

          protected void handleDuct(FlowElement lhsElement,
                        Duct lhsDuct)

    - #### createBoundaryStage

          protected Duct createBoundaryStage(Boundary element,
                                 IORole role)

    - #### createSinkStage

          protected SinkStage createSinkStage(Tap element)

    - #### createCoGroupGate

          protected abstract Gate createCoGroupGate(CoGroup element,
                               IORole role)

    - #### createGroupByGate

          protected abstract Gate createGroupByGate(GroupBy element,
                               IORole role)

    - #### createMergeStage

          protected Duct createMergeStage(Merge merge,
                              IORole both)

    - #### createHashJoinGate

          protected Gate createHashJoinGate(HashJoin join)

    - #### createNonBlockingJoinGate

          protected GroupingSpliceGate createNonBlockingJoinGate(HashJoin join)

    - #### createBlockingJoinGate

          protected MemoryCoGroupGate createBlockingJoinGate(HashJoin join)

    - #### findExisting

          protected Duct findExisting(Duct current)

    - #### setTraps

          protected void setTraps()

    - #### setScopes

          protected void setScopes()

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.